diff -Nru cyrus-sasl2-2.1.27~101-g0780600+dfsg/debian/changelog cyrus-sasl2-2.1.27~101-g0780600+dfsg/debian/changelog
--- cyrus-sasl2-2.1.27~101-g0780600+dfsg/debian/changelog	2017-03-19 13:30:33.000000000 +0100
+++ cyrus-sasl2-2.1.27~101-g0780600+dfsg/debian/changelog	2018-04-21 18:20:16.000000000 +0200
@@ -1,3 +1,10 @@
+cyrus-sasl2 (2.1.27~101-g0780600+dfsg-3.1) unstable; urgency=medium
+
+  * Non-maintainer upload with maintainer permission.
+  * Add support for build-profiles. (Closes: #894297)
+
+ -- Karsten Merker <merker@debian.org>  Sat, 21 Apr 2018 18:20:16 +0200
+
 cyrus-sasl2 (2.1.27~101-g0780600+dfsg-3) unstable; urgency=medium
 
   [ Holger Levsen ]
diff -Nru cyrus-sasl2-2.1.27~101-g0780600+dfsg/debian/control cyrus-sasl2-2.1.27~101-g0780600+dfsg/debian/control
--- cyrus-sasl2-2.1.27~101-g0780600+dfsg/debian/control	2016-12-31 15:59:34.000000000 +0100
+++ cyrus-sasl2-2.1.27~101-g0780600+dfsg/debian/control	2018-04-21 18:20:06.000000000 +0200
@@ -11,17 +11,17 @@
                autotools-dev,
                chrpath,
                debhelper (>= 9),
-               default-libmysqlclient-dev | libmysqlclient-dev,
+               default-libmysqlclient-dev <!pkg.cyrus-sasl2.nosql> | libmysqlclient-dev <!pkg.cyrus-sasl2.nosql>,
                dh-autoreconf,
                docbook-to-man,
                groff-base,
-               heimdal-multidev,
-               krb5-multidev,
+               heimdal-multidev <!pkg.cyrus-sasl2.nogssapi>,
+               krb5-multidev <!pkg.cyrus-sasl2.nogssapi>,
                libdb-dev,
-               libkrb5-dev,
-               libldap2-dev,
+               libkrb5-dev <!pkg.cyrus-sasl2.nogssapi>,
+               libldap2-dev <!pkg.cyrus-sasl2.noldap>,
                libpam0g-dev,
-               libpq-dev,
+               libpq-dev <!pkg.cyrus-sasl2.nosql>,
                libsqlite3-dev,
                libssl-dev,
                po-debconf,
@@ -119,6 +119,7 @@
 Depends: libsasl2-modules (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Build-Profiles: <!pkg.cyrus-sasl2.noldap>
 Description: Cyrus SASL - pluggable authentication modules (LDAP)
  This is the Cyrus SASL API implementation, version 2.1. See package
  libsasl2-2 and RFC 2222 for more information.
@@ -145,6 +146,7 @@
 Depends: libsasl2-modules (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Build-Profiles: <!pkg.cyrus-sasl2.nosql>
 Description: Cyrus SASL - pluggable authentication modules (SQL)
  This is the Cyrus SASL API implementation, version 2.1. See package
  libsasl2-2 and RFC 2222 for more information.
@@ -160,6 +162,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: libsasl2-modules-gssapi-heimdal
+Build-Profiles: <!pkg.cyrus-sasl2.nogssapi>
 Description: Cyrus SASL - pluggable authentication modules (GSSAPI)
  This is the Cyrus SASL API implementation, version 2.1. See package
  libsasl2-2 and RFC 2222 for more information.
@@ -189,6 +192,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: libsasl2-modules-gssapi-mit
+Build-Profiles: <!pkg.cyrus-sasl2.nogssapi>
 Description: Pluggable Authentication Modules for SASL (GSSAPI)
  This is the Cyrus SASL API implementation, version 2.1. See package
  libsasl2-2 and RFC 2222 for more information.
diff -Nru cyrus-sasl2-2.1.27~101-g0780600+dfsg/debian/rules cyrus-sasl2-2.1.27~101-g0780600+dfsg/debian/rules
--- cyrus-sasl2-2.1.27~101-g0780600+dfsg/debian/rules	2016-12-31 15:59:34.000000000 +0100
+++ cyrus-sasl2-2.1.27~101-g0780600+dfsg/debian/rules	2018-04-21 18:20:06.000000000 +0200
@@ -37,7 +37,7 @@
 BDB_VERSION ?= $(shell LC_ALL=C dpkg-query -l 'libdb[45].[0-9]-dev' | grep ^ii | sed -e 's|.*\s\libdb\([45]\.[0-9]\)-dev\s.*|\1|')
 
 # SQL support may be turned off during the build, but is on by default.
-ifeq (,$(findstring no-sql,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(findstring no-sql,$(DEB_BUILD_OPTIONS))$(findstring pkg.cyrus-sasl2.nosql,$(DEB_BUILD_PROFILES)))
 	CONFIGURE_SQL=--enable-sql
 else
 	CONFIGURE_SQL=--disable-sql
@@ -45,7 +45,7 @@
 endif
 
 # LDAP support may be turned off during the build, but is on by default.
-ifeq (,$(findstring no-ldap,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(findstring no-ldap,$(DEB_BUILD_OPTIONS))$(findstring pkg.cyrus-sasl2.noldap,$(DEB_BUILD_PROFILES)))
 	CONFIGURE_LDAP=--with-ldap
 	CONFIGURE_LDAPDB=--enable-ldapdb
 else
@@ -55,7 +55,7 @@
 endif
 
 # GSSAPI support may be turned off during the build, but is on by default
-ifeq (,$(findstring no-gssapi,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(findstring no-gssapi,$(DEB_BUILD_OPTIONS))$(findstring pkg.cyrus-sasl2.nogssapi,$(DEB_BUILD_PROFILES)))
 	CONFIGURE_GSSAPI=--enable-gssapi
 else
 	CONFIGURE_GSSAPI=--disable-gssapi
@@ -206,7 +206,7 @@
 	# Alter the rpath of certain binaries and shared libraries.
 	chrpath -d debian/tmp/usr/sbin/sasldblistusers2 \
 		debian/tmp/usr/sbin/saslpasswd2
-ifeq (,$(findstring no-sql,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(findstring no-sql,$(DEB_BUILD_OPTIONS))$(findstring pkg.cyrus-sasl2.nosql,$(DEB_BUILD_PROFILES)))
 	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2/libsql.so.*.*.*
 endif
 
